Missing rpcsec_gss_krb5 module

Bug #769527 reported by dumaresq on 2011-04-23
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Tim Gardner
Trusty
Undecided
Tim Gardner
Utopic
Undecided
Tim Gardner

Bug Description

Binary package hint: linux-image-2.6.38-8-virtual

The module rpcsec_gss_krb5 is missing:

dumaresq@borgil:/lib/modules/2.6.38-8-virtual/kernel/net/sunrpc/auth_gss$ ls -l
total 72
-rw-r--r-- 1 root root 72336 2011-04-11 01:06 auth_rpcgss.ko
dumaresq@borgil:/lib/modules/2.6.38-8-virtual/kernel/net/sunrpc/auth_gss$

Where as on my "real" machine:

root@middleearth:/lib/modules/2.6.38-8-server/kernel/net/sunrpc/auth_gss# ls -l
total 124
-rw-r--r-- 1 root root 72336 2011-04-11 00:46 auth_rpcgss.ko
-rw-r--r-- 1 root root 51776 2011-04-11 00:46 rpcsec_gss_krb5.ko
root@middleearth:/lib/modules/2.6.38-8-server/kernel/net/sunrpc/auth_gss#

 uname -a
Linux borgil 2.6.38-8-virtual #42-Ubuntu SMP Mon Apr 11 04:06:34 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

cat /proc/version_signature
Ubuntu 2.6.38-8.42-virtual 2.6.38.2

 dmesg
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.38-8-virtual (buildd@allspice) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3) ) #42-Ubuntu SMP Mon Apr 11 04:06:34 UTC 2011 (Ubuntu 2.6.38-8.42-virtual 2.6.38.2)
[ 0.000000] Command line: root=UUID=210a1bd7-248d-4f8d-aa03-6efa9927332e ro quiet splash
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000003fffd000 (usable)
[ 0.000000] BIOS-e820: 000000003fffd000 - 0000000040000000 (reserved)
[ 0.000000] BIOS-e820: 00000000feffc000 - 00000000ff000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] DMI 2.4 present.
[ 0.000000] DMI: Bochs Bochs, BIOS Bochs 01/01/2007
[ 0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[ 0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[ 0.000000] No AGP bridge found
[ 0.000000] last_pfn = 0x3fffd max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: write-back
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 00E0000000 mask FFE0000000 uncachable
[ 0.000000] 1 disabled
[ 0.000000] 2 disabled
[ 0.000000] 3 disabled
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 disabled
[ 0.000000] 7 disabled
[ 0.000000] PAT not supported by CPU.
[ 0.000000] found SMP MP-table at [ffff8800000fd790] fd790
[ 0.000000] initial memory mapped : 0 - 20000000
[ 0.000000] init_memory_mapping: 0000000000000000-000000003fffd000
[ 0.000000] 0000000000 - 003fe00000 page 2M
[ 0.000000] 003fe00000 - 003fffd000 page 4k
[ 0.000000] kernel direct mapping tables up to 3fffd000 @ 1fffd000-20000000
[ 0.000000] RAMDISK: 37bd3000 - 37ff0000
[ 0.000000] ACPI: RSDP 00000000000fd740 00014 (v00 BOCHS )
[ 0.000000] ACPI: RSDT 000000003fffdc40 00034 (v01 BOCHS BXPCRSDT 00000001 BXPC 00000001)
[ 0.000000] ACPI: FACP 000000003ffffe70 00074 (v01 BOCHS BXPCFACP 00000001 BXPC 00000001)
[ 0.000000] ACPI: DSDT 000000003fffde40 01FB7 (v01 BXPC BXDSDT 00000001 INTL 20090123)
[ 0.000000] ACPI: FACS 000000003ffffe00 00040
[ 0.000000] ACPI: SSDT 000000003fffdda0 0009E (v01 BOCHS BXPCSSDT 00000001 BXPC 00000001)
[ 0.000000] ACPI: APIC 000000003fffdcc0 00072 (v01 BOCHS BXPCAPIC 00000001 BXPC 00000001)
[ 0.000000] ACPI: HPET 000000003fffdc80 00038 (v01 BOCHS BXPCHPET 00000001 BXPC 00000001)
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] No NUMA configuration found
[ 0.000000] Faking a node at 0000000000000000-000000003fffd000
[ 0.000000] Initmem setup node 0 0000000000000000-000000003fffd000
[ 0.000000] NODE_DATA [000000003fff8000 - 000000003fffcfff]
[ 0.000000] kvm-clock: Using msrs 12 and 11
[ 0.000000] kvm-clock: cpu 0, msr 0:1adca81, boot clock
[ 0.000000] [ffffea0000000000-ffffea0000dfffff] PMD -> [ffff88003e600000-ffff88003f3fffff] on node 0
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0x00000010 -> 0x00001000
[ 0.000000] DMA32 0x00001000 -> 0x00100000
[ 0.000000] Normal empty
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[2] active PFN ranges
[ 0.000000] 0: 0x00000010 -> 0x0000009f
[ 0.000000] 0: 0x00000100 -> 0x0003fffd
[ 0.000000] On node 0 totalpages: 262028
[ 0.000000] DMA zone: 56 pages used for memmap
[ 0.000000] DMA zone: 6 pages reserved
[ 0.000000] DMA zone: 3921 pages, LIFO batch:0
[ 0.000000] DMA32 zone: 3528 pages used for memmap
[ 0.000000] DMA32 zone: 254517 pages, LIFO batch:31
[ 0.000000] ACPI: PM-Timer IO Port: 0xb008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ2 used by override.
[ 0.000000] ACPI: IRQ5 used by override.
[ 0.000000] ACPI: IRQ9 used by override.
[ 0.000000] ACPI: IRQ10 used by override.
[ 0.000000] ACPI: IRQ11 used by override.
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[ 0.000000] nr_irqs_gsi: 40
[ 0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[ 0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[ 0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[ 0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:beffc000)
[ 0.000000] Booting paravirtualized kernel on KVM
[ 0.000000] setup_percpu: NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:1 nr_node_ids:1
[ 0.000000] PERCPU: Embedded 28 pages/cpu @ffff88003fc00000 s83840 r8192 d22656 u2097152
[ 0.000000] pcpu-alloc: s83840 r8192 d22656 u2097152 alloc=1*2097152
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] kvm-clock: cpu 0, msr 0:3fc13a81, primary cpu clock
[ 0.000000] Built 1 zonelists in Node order, mobility grouping on. Total pages: 258438
[ 0.000000] Policy zone: DMA32
[ 0.000000] Kernel command line: root=UUID=210a1bd7-248d-4f8d-aa03-6efa9927332e ro quiet splash
[ 0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.000000] Checking aperture...
[ 0.000000] No AGP bridge found
[ 0.000000] Calgary: detecting Calgary via BIOS EBDA area
[ 0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[ 0.000000] Memory: 1015856k/1048564k available (6041k kernel code, 452k absent, 32256k reserved, 4997k data, 880k init)
[ 0.000000] SLUB: Genslabs=15, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU dyntick-idle grace-period acceleration is enabled.
[ 0.000000] RCU-based detection of stalled CPUs is disabled.
[ 0.000000] NR_IRQS:4352 nr_irqs:256 16
[ 0.000000] Console: colour VGA+ 80x25
[ 0.000000] console [tty0] enabled
[ 0.000000] allocated 10485760 bytes of page_cgroup
[ 0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[ 0.000000] hpet clockevent registered
[ 0.000000] Detected 2673.298 MHz processor.
[ 0.020000] Calibrating delay loop (skipped) preset value.. 5346.59 BogoMIPS (lpj=26732980)
[ 0.020000] pid_max: default: 32768 minimum: 301
[ 0.020000] Security Framework initialized
[ 0.020000] AppArmor: AppArmor initialized
[ 0.020000] Yama: becoming mindful.
[ 0.020000] Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
[ 0.020000] Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
[ 0.020000] Mount-cache hash table entries: 256
[ 0.020000] Initializing cgroup subsys ns
[ 0.020000] ns_cgroup deprecated: consider using the 'clone_children' flag without the ns_cgroup.
[ 0.020000] Initializing cgroup subsys cpuacct
[ 0.020000] Initializing cgroup subsys memory
[ 0.020000] Initializing cgroup subsys devices
[ 0.020000] Initializing cgroup subsys freezer
[ 0.020000] Initializing cgroup subsys net_cls
[ 0.020000] Initializing cgroup subsys blkio
[ 0.020000] mce: CPU supports 10 MCE banks
[ 0.020000] SMP alternatives: switching to UP code
[ 0.029280] Freeing SMP alternatives: 20k freed
[ 0.029292] ACPI: Core revision 20110112
[ 0.030081] ftrace: allocating 24682 entries in 97 pages
[ 0.040099] Setting APIC routing to flat
[ 0.041236] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.041238] CPU0: Intel QEMU Virtual CPU version 0.14.0 stepping 03
[ 0.050000] Performance Events: unsupported p6 CPU model 2 no PMU driver, software events only.
[ 0.050000] Brought up 1 CPUs
[ 0.050000] Total of 1 processors activated (5346.59 BogoMIPS).
[ 0.050000] devtmpfs: initialized
[ 0.050000] print_constraints: dummy:
[ 0.050000] Time: 14:34:04 Date: 04/23/11
[ 0.050000] NET: Registered protocol family 16
[ 0.050000] ACPI: bus type pci registered
[ 0.050000] PCI: Using configuration type 1 for base access
[ 0.050000] bio: create slab <bio-0> at 0
[ 0.050000] ACPI: EC: Look up EC in DSDT
[ 0.050000] ACPI: Interpreter enabled
[ 0.050000] ACPI: (supports S0 S3 S4 S5)
[ 0.050000] ACPI: Using IOAPIC for interrupt routing
[ 0.050000] ACPI: No dock devices found.
[ 0.050000] HEST: Table not found.
[ 0.050000] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[ 0.050000] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 0.050000] pci_root PNP0A03:00: host bridge window [io 0x0000-0x0cf7] (ignored)
[ 0.050000] pci_root PNP0A03:00: host bridge window [io 0x0d00-0xffff] (ignored)
[ 0.050000] pci_root PNP0A03:00: host bridge window [mem 0x000a0000-0x000bffff] (ignored)
[ 0.050000] pci_root PNP0A03:00: host bridge window [mem 0xe0000000-0xfebfffff] (ignored)
[ 0.050000] pci 0000:00:00.0: [8086:1237] type 0 class 0x000600
[ 0.050000] pci 0000:00:01.0: [8086:7000] type 0 class 0x000601
[ 0.050000] pci 0000:00:01.1: [8086:7010] type 0 class 0x000101
[ 0.050000] pci 0000:00:01.1: reg 20: [io 0xc000-0xc00f]
[ 0.050000] pci 0000:00:01.2: [8086:7020] type 0 class 0x000c03
[ 0.050000] pci 0000:00:01.2: reg 20: [io 0xc020-0xc03f]
[ 0.050000] pci 0000:00:01.3: [8086:7113] type 0 class 0x000680
[ 0.050000] pci 0000:00:01.3: quirk: [io 0xb000-0xb03f] claimed by PIIX4 ACPI
[ 0.050000] pci 0000:00:01.3: quirk: [io 0xb100-0xb10f] claimed by PIIX4 SMB
[ 0.050000] pci 0000:00:02.0: [1013:00b8] type 0 class 0x000300
[ 0.051149] pci 0000:00:02.0: reg 10: [mem 0xf0000000-0xf1ffffff pref]
[ 0.052542] pci 0000:00:02.0: reg 14: [mem 0xf2000000-0xf2000fff]
[ 0.060711] pci 0000:00:02.0: reg 30: [mem 0xf2010000-0xf201ffff pref]
[ 0.060871] pci 0000:00:03.0: [1af4:1000] type 0 class 0x000200
[ 0.060951] pci 0000:00:03.0: reg 10: [io 0xc040-0xc05f]
[ 0.060994] pci 0000:00:03.0: reg 14: [mem 0xf2020000-0xf2020fff]
[ 0.061200] pci 0000:00:03.0: reg 30: [mem 0xf2028000-0xf202ffff pref]
[ 0.061324] pci 0000:00:04.0: [1af4:1002] type 0 class 0x000500
[ 0.061376] pci 0000:00:04.0: reg 10: [io 0xc060-0xc07f]
[ 0.061793] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 0.064215] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[ 0.064284] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[ 0.064344] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[ 0.064403] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[ 0.064466] ACPI: PCI Interrupt Link [LNKS] (IRQs 9) *0
[ 0.064705] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[ 0.064708] vgaarb: loaded
[ 0.064952] SCSI subsystem initialized
[ 0.065097] libata version 3.00 loaded.
[ 0.065167] usbcore: registered new interface driver usbfs
[ 0.065180] usbcore: registered new interface driver hub
[ 0.065212] usbcore: registered new device driver usb
[ 0.065352] wmi: Mapper loaded
[ 0.065358] PCI: Using ACPI for IRQ routing
[ 0.065363] PCI: pci_cache_line_size set to 64 bytes
[ 0.065482] reserve RAM buffer: 000000000009fc00 - 000000000009ffff
[ 0.065486] reserve RAM buffer: 000000003fffd000 - 000000003fffffff
[ 0.065631] NetLabel: Initializing
[ 0.065634] NetLabel: domain hash size = 128
[ 0.065635] NetLabel: protocols = UNLABELED CIPSOv4
[ 0.065652] NetLabel: unlabeled traffic allowed by default
[ 0.065714] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[ 0.065734] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 0.065737] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[ 0.070073] Switching to clocksource kvm-clock
[ 0.077581] AppArmor: AppArmor Filesystem Enabled
[ 0.077610] pnp: PnP ACPI init
[ 0.077624] ACPI: bus type pnp registered
[ 0.077657] pnp 00:00: [bus 00-ff]
[ 0.077659] pnp 00:00: [io 0x0cf8-0x0cff]
[ 0.077661] pnp 00:00: [io 0x0000-0x0cf7 window]
[ 0.077663] pnp 00:00: [io 0x0d00-0xffff window]
[ 0.077665] pnp 00:00: [mem 0x000a0000-0x000bffff window]
[ 0.077666] pnp 00:00: [mem 0xe0000000-0xfebfffff window]
[ 0.077705] pnp 00:00: Plug and Play ACPI device, IDs PNP0a03 (active)
[ 0.077751] pnp 00:01: [io 0x0070-0x0071]
[ 0.077796] pnp 00:01: [irq 8]
[ 0.077798] pnp 00:01: [io 0x0072-0x0077]
[ 0.077824] pnp 00:01: Plug and Play ACPI device, IDs PNP0b00 (active)
[ 0.077852] pnp 00:02: [io 0x0060]
[ 0.077853] pnp 00:02: [io 0x0064]
[ 0.077873] pnp 00:02: [irq 1]
[ 0.077905] pnp 00:02: Plug and Play ACPI device, IDs PNP0303 (active)
[ 0.077946] pnp 00:03: [irq 12]
[ 0.077971] pnp 00:03: Plug and Play ACPI device, IDs PNP0f13 (active)
[ 0.078000] pnp 00:04: [io 0x03f2-0x03f5]
[ 0.078001] pnp 00:04: [io 0x03f7]
[ 0.078020] pnp 00:04: [irq 6]
[ 0.078022] pnp 00:04: [dma 2]
[ 0.078048] pnp 00:04: Plug and Play ACPI device, IDs PNP0700 (active)
[ 0.078157] pnp 00:05: [mem 0xfed00000-0xfed003ff]
[ 0.078184] pnp 00:05: Plug and Play ACPI device, IDs PNP0103 (active)
[ 0.078317] pnp: PnP ACPI: found 6 devices
[ 0.078319] ACPI: ACPI bus type pnp unregistered
[ 0.079904] Switched to NOHz mode on CPU #0
[ 0.084431] pci_bus 0000:00: resource 0 [io 0x0000-0xffff]
[ 0.084433] pci_bus 0000:00: resource 1 [mem 0x00000000-0xffffffffff]
[ 0.084476] NET: Registered protocol family 2
[ 0.084560] IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.085028] TCP established hash table entries: 131072 (order: 9, 2097152 bytes)
[ 0.086029] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[ 0.086460] TCP: Hash tables configured (established 131072 bind 65536)
[ 0.086465] TCP reno registered
[ 0.086470] UDP hash table entries: 512 (order: 2, 16384 bytes)
[ 0.086484] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[ 0.086548] NET: Registered protocol family 1
[ 0.086564] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[ 0.086582] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[ 0.086598] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[ 0.086685] pci 0000:00:02.0: Boot video device
[ 0.086706] PCI: CLS 0 bytes, default 64
[ 0.086981] audit: initializing netlink socket (disabled)
[ 0.086992] type=2000 audit(1303569245.070:1): initialized
[ 0.099045] Trying to unpack rootfs image as initramfs...
[ 0.110930] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[ 0.121579] VFS: Disk quotas dquot_6.5.2
[ 0.121624] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 0.122172] fuse init (API version 7.16)
[ 0.122257] msgmni has been set to 1984
[ 0.130171] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[ 0.130197] io scheduler noop registered
[ 0.130199] io scheduler deadline registered (default)
[ 0.130231] io scheduler cfq registered
[ 0.130311] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 0.130329] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 0.130452] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[ 0.130460] ACPI: Power Button [PWRF]
[ 0.130756] ACPI: acpi_idle registered with cpuidle
[ 0.131424] ERST: Table is not found!
[ 0.131579] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
[ 0.131603] virtio-pci 0000:00:03.0: PCI INT A -> Link[LNKC] -> GSI 11 (level, high) -> IRQ 11
[ 0.131629] virtio-pci 0000:00:03.0: setting latency timer to 64
[ 0.131781] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
[ 0.131801] virtio-pci 0000:00:04.0: PCI INT A -> Link[LNKD] -> GSI 10 (level, high) -> IRQ 10
[ 0.131822] virtio-pci 0000:00:04.0: setting latency timer to 64
[ 0.131924] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[ 0.132930] Linux agpgart interface v0.103
[ 0.133889] brd: module loaded
[ 0.134344] loop: module loaded
[ 0.134415] i2c-core: driver [adp5520] using legacy suspend method
[ 0.134417] i2c-core: driver [adp5520] using legacy resume method
[ 0.134509] ata_piix 0000:00:01.1: version 2.13
[ 0.134587] ata_piix 0000:00:01.1: setting latency timer to 64
[ 0.134927] scsi0 : ata_piix
[ 0.140035] scsi1 : ata_piix
[ 0.140077] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[ 0.140079] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
[ 0.140325] Fixed MDIO Bus: probed
[ 0.140348] PPP generic driver version 2.4.2
[ 0.140386] tun: Universal TUN/TAP device driver, 1.6
[ 0.140388] tun: (C) 1999-2004 Max Krasnyansky <email address hidden>
[ 0.140592] virtio-pci 0000:00:03.0: irq 40 for MSI/MSI-X
[ 0.140609] virtio-pci 0000:00:03.0: irq 41 for MSI/MSI-X
[ 0.140625] virtio-pci 0000:00:03.0: irq 42 for MSI/MSI-X
[ 0.141608] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 0.141620] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 0.141629] uhci_hcd: USB Universal Host Controller Interface driver
[ 0.141687] uhci_hcd 0000:00:01.2: PCI INT D -> Link[LNKD] -> GSI 10 (level, high) -> IRQ 10
[ 0.141704] uhci_hcd 0000:00:01.2: setting latency timer to 64
[ 0.141713] uhci_hcd 0000:00:01.2: UHCI Host Controller
[ 0.141747] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[ 0.141838] uhci_hcd 0000:00:01.2: irq 10, io base 0x0000c020
[ 0.141993] hub 1-0:1.0: USB hub found
[ 0.141997] hub 1-0:1.0: 2 ports detected
[ 0.142097] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[ 0.205787] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 0.205795] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 0.205856] mousedev: PS/2 mouse device common for all mice
[ 0.206036] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[ 0.206124] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
[ 0.206250] device-mapper: uevent: version 1.0.3
[ 0.206396] device-mapper: ioctl: 4.19.1-ioctl (2011-01-07) initialised: <email address hidden>
[ 0.206716] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[ 0.207106] device-mapper: multipath: version 1.2.0 loaded
[ 0.207111] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 0.210110] cpuidle: using governor ladder
[ 0.210112] cpuidle: using governor menu
[ 0.210375] TCP cubic registered
[ 0.210581] NET: Registered protocol family 10
[ 0.211402] NET: Registered protocol family 17
[ 0.211430] Registering the dns_resolver key type
[ 0.211615] PM: Hibernation image not present or could not be loaded.
[ 0.211631] registered taskstats version 1
[ 0.211847] Magic number: 7:230:587
[ 0.211983] rtc_cmos 00:01: setting system clock to 2011-04-23 14:34:04 UTC (1303569244)
[ 0.211989] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 0.211992] EDD information not available.
[ 0.257424] Freeing initrd memory: 4212k freed
[ 0.410969] ata1.00: ATA-7: QEMU HARDDISK, 0.14.0, max UDMA/100
[ 0.410972] ata1.00: 10485760 sectors, multi 16: LBA48
[ 0.410979] ata1.01: ATA-7: QEMU HARDDISK, 0.14.0, max UDMA/100
[ 0.410981] ata1.01: 20971520 sectors, multi 16: LBA48
[ 0.411451] ata1.00: configured for MWDMA2
[ 0.411824] ata1.01: configured for MWDMA2
[ 0.411934] scsi 0:0:0:0: Direct-Access ATA QEMU HARDDISK 0.14 PQ: 0 ANSI: 5
[ 0.412091] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 0.412204] scsi 0:0:1:0: Direct-Access ATA QEMU HARDDISK 0.14 PQ: 0 ANSI: 5
[ 0.412323] sd 0:0:1:0: Attached scsi generic sg1 type 0
[ 0.412388] sd 0:0:0:0: [sda] 10485760 512-byte logical blocks: (5.36 GB/5.00 GiB)
[ 0.412431] sd 0:0:0:0: [sda] Write Protect is off
[ 0.412435] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 0.412453] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[ 0.413043] sda: sda1 sda2
[ 0.413231] sd 0:0:0:0: [sda] Attached SCSI disk
[ 0.413239] sd 0:0:1:0: [sdb] 20971520 512-byte logical blocks: (10.7 GB/10.0 GiB)
[ 0.413274] sd 0:0:1:0: [sdb] Write Protect is off
[ 0.413276] sd 0:0:1:0: [sdb] Mode Sense: 00 3a 00 00
[ 0.413291] sd 0:0:1:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[ 0.413643] sdb: sdb1 sdb2
[ 0.413820] sd 0:0:1:0: [sdb] Attached SCSI disk
[ 0.415306] Freeing unused kernel memory: 880k freed
[ 0.415799] Write protecting the kernel read-only data: 10240k
[ 0.416457] Freeing unused kernel memory: 84k freed
[ 0.423632] Freeing unused kernel memory: 1416k freed
[ 0.442761] <30>udev[62]: starting version 167
[ 0.595564] FDC 0 is a S82078B
[ 0.620462] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[ 0.773329] EXT4-fs (sda1): warning: maximal mount count reached, running e2fsck is recommended
[ 0.820143] EXT4-fs (sda1): re-mounted. Opts: (null)
[ 0.861718] <30>udev[244]: starting version 167
[ 0.914402] Adding 1951740k swap on /dev/sda2. Priority:-1 extents:1 across:1951740k
[ 0.948529] EXT4-fs (sdb1): mounted filesystem with ordered data mode. Opts: (null)
[ 0.985183] EXT4-fs (sdb2): mounted filesystem with ordered data mode. Opts: (null)
[ 1.058413] RPC: Registered udp transport module.
[ 1.058416] RPC: Registered tcp transport module.
[ 1.058417] RPC: Registered tcp NFSv4.1 backchannel transport module.
[ 1.152957] FS-Cache: Loaded
[ 1.167975] type=1400 audit(1303569245.445:2): apparmor="STATUS" operation="profile_load" name="/usr/sbin/avahi-daemon" pid=393 comm="apparmor_parser"
[ 1.170086] Refined TSC clocksource calibration: 2673.301 MHz.
[ 1.209733] FS-Cache: Netfs 'nfs' registered for caching
[ 1.271223] Installing knfsd (copyright (C) 1996 <email address hidden>).
[ 1.395116] type=1400 audit(1303569245.675:3): apparmor="STATUS" operation="profile_load" name="/sbin/dhclient" pid=468 comm="apparmor_parser"
[ 1.395674] type=1400 audit(1303569245.675:4): apparmor="STATUS" operation="profile_load" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=468 comm="apparmor_parser"
[ 1.396018] type=1400 audit(1303569245.675:5): apparmor="STATUS" operation="profile_load" name="/usr/lib/connman/scripts/dhclient-script" pid=468 comm="apparmor_parser"
[ 1.406462] type=1400 audit(1303569245.685:6): apparmor="STATUS" operation="profile_load" name="/usr/sbin/ntpd" pid=473 comm="apparmor_parser"
[ 1.785247] type=1400 audit(1303569246.065:7): apparmor="STATUS" operation="profile_load" name="/bin/ping" pid=599 comm="apparmor_parser"
[ 1.797726] type=1400 audit(1303569246.075:8): apparmor="STATUS" operation="profile_replace" name="/sbin/dhclient" pid=609 comm="apparmor_parser"
[ 1.801711] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[ 1.804879] type=1400 audit(1303569246.085:9): apparmor="STATUS" operation="profile_replace" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=609 comm="apparmor_parser"
[ 1.805510] type=1400 audit(1303569246.085:10): apparmor="STATUS" operation="profile_replace" name="/usr/lib/connman/scripts/dhclient-script" pid=609 comm="apparmor_parser"
[ 2.758954] lp: driver loaded but no devices found
[ 2.843303] ppdev: user-space parallel port driver

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-virtual 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-virtual 2.6.38.2
Uname: Linux 2.6.38-8-virtual x86_64
AlsaDevices:
 total 0
 crw------- 1 root root 116, 1 2011-04-23 10:34 seq
 crw------- 1 root root 116, 33 2011-04-23 10:34 timer
AplayDevices: Error: [Errno 2] No such file or directory
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
CurrentDmesg: [ 2.843303] ppdev: user-space parallel port driver
Date: Sat Apr 23 10:45:39 2011
IwConfig: Error: [Errno 2] No such file or directory
Lspci: Error: [Errno 2] No such file or directory
Lsusb: Error: [Errno 2] No such file or directory
MachineType: Bochs Bochs
PciMultimedia:

ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=210a1bd7-248d-4f8d-aa03-6efa9927332e ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-virtual N/A
 linux-backports-modules-2.6.38-8-virtual N/A
 linux-firmware 1.52
RfKill: Error: [Errno 2] No such file or directory
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/01/2007
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2007:svnBochs:pnBochs:pvr:cvnBochs:ct1:cvr:
dmi.product.name: Bochs
dmi.sys.vendor: Bochs

dumaresq (dumaresq) wrote :
dumaresq (dumaresq) wrote :
dumaresq (dumaresq) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 769527

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Sergio Gelato (sergio-gelato) wrote :

The problem here is that rpcsec_gss_krb5 is in linux-image-extra, not in linux-image. As a result, if one installs the -virtual kernel flavour that module is missing.

The problem still exists in trusty (linux-image-{,extra-}3.13.0-24-generic). It's annoying since Kerberized NFS is a perfectly normal thing to run in a virtual machine. Also, the related module auth_rpcgss is in the main package so I fail to see why rpcsec_gss_krb5 should be an extra. Please move rpcsec_gss_krb5 to the main linux-image package.

Changed in linux (Ubuntu):
status: Expired → Confirmed
Tim Gardner (timg-tpi) on 2014-05-06
Changed in linux (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Utopic):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
Tim Gardner (timg-tpi) on 2014-05-06
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Utopic):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Tim Gardner (timg-tpi) wrote :

Marking verification-done-trusty.

dpkg-deb --contents linux-image-3.13.0-26-generic_3.13.0-26.48_amd64.deb |grep rpcsec_gss_krb5
-rw-r--r-- root/root 50260 2014-05-07 18:38 ./lib/modules/3.13.0-26-generic/kernel/net/sunrpc/auth_gss/rpcsec_gss_krb5.ko

tags: added: verification-done-trusty
removed: verification-needed-trusty

* Tim Gardner [2014-05-13 19:04:45 -0000]:
> Marking verification-done-trusty.
>
> dpkg-deb --contents linux-image-3.13.0-26-generic_3.13.0-26.48_amd64.deb |grep rpcsec_gss_krb5
> -rw-r--r-- root/root 50260 2014-05-07 18:38 ./lib/modules/3.13.0-26-generic/kernel/net/sunrpc/auth_gss/rpcsec_gss_krb5.ko
>
> ** Tags removed: verification-needed-trusty
> ** Tags added: verification-done-trusty

Confirmed for i386 as well, by actually installing the kernel, booting into
it and exercising the functionality of rpcsec_gss_krb5. Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.15.0-1.5

---------------
linux (3.15.0-1.5) utopic; urgency=low

  [ Tim Gardner ]

  * [Config] Add apm-mustang.dtb to kernel-image udeb
 -- Tim Gardner <email address hidden> Mon, 19 May 2014 14:47:42 -0700

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux - 3.13.0-27.50

---------------
linux (3.13.0-27.50) trusty; urgency=low

  [ Brad Figg ]

  * Revert "rtlwifi: Set the link state"

linux (3.13.0-27.49) trusty; urgency=low

  [ Brad Figg ]

  * Revert "SAUCE: (no-up) HID: rmi: do not stop the device at the end of
    probe"
  * Revert "SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics
    touchpads"
  * Revert "[Config] CONFIG_HID_RMI=m"

linux (3.13.0-26.48) trusty; urgency=low

  [ Benjamin Tissoires ]

  * SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics touchpads
    - LP: #1305522
  * SAUCE: (no-up) HID: rmi: do not stop the device at the end of probe
    - LP: #1305522

  [ Kamal Mostafa ]

  * Merged back Ubuntu-3.13.0-24.47 security release
  * Revert "n_tty: Fix n_tty_write crash when echoing in raw mode"
    - LP: #1314762
  * Release Tracking Bug
    - LP: #1316835

  [ Tim Gardner ]

  * [Config] CONFIG_HID_RMI=m
    - LP: #1305522
  * [Config] CONFIG_CRYPTO_DEV_NX=n for ppc64el
    - LP: #1314625
  * [Config] CONFIG_ZSWAP=y
    - LP: #1315203
  * Add rpcsec_gss_krb5 to generic inclusion list
    - LP: #769527

  [ Upstream Kernel Changes ]

  * HID: hidraw: make comment more accurate and nicer
    - LP: #1305522
  * HID: remove hid_get_raw_report in struct hid_device
    - LP: #1305522
  * HID: i2c-hid: implement ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: add inliners for ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: Add transport-driver callbacks to the hid_ll_driver struct
    - LP: #1305522
  * drm/nouveau: fail runtime pm properly.
    - LP: #1313986
  * drm/nouveau: don't suspend/resume display on runtime s/r
    - LP: #1313986
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - LP: #1314762
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - LP: #1316729
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - LP: #1316735
    - CVE-2014-1738

linux (3.13.0-25.47) trusty; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1313868

  [ Adam Lee ]

  * [Config] CONFIG_RTL8723BE=m, CONFIG_RTL8723_COMMON=m
    - LP: #1240940

  [ Alex Hung ]

  * SAUCE: (no-up) dell-led: add mic mute led interface
    - LP: #1308297

  [ Andy Whitcroft ]

  * SAUCE: (no-up) powerpc: Increase COMMAND_LINE_SIZE to 2048 from 512.
    - LP: #1306677

  [ Ben Collins ]

  * [Config] Disable PAMU on Freescale kernels
    - LP: #1311738

  [ Tim Gardner ]

  * Revert "SAUCE: x86, hyperv: bypass the timer_irq_works() check"
    - LP: #1311683
  * SAUCE: (no-up) ALSA: usb-audio: Suppress repetitive debug messages from
    retire_playback_urb()
    - LP: #1305133
  * SAUCE: (no-up) 'BUG:' message unnecessarily triggers kerneloops
    - LP: #1305480
  * [Config] CONFIG_POWERNV_CPUFREQ=m
    - LP: #1309576
  * [Config] CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND=y for ppc64el
    - LP: #1309576
  * [Config] CONFIG_TRANSPARENT_HUGEPAGE=n for arm64
    - LP: #1309221
  * [Config] CONFIG_MEMCG_KMEM=y
    - LP: #1309586
  * [Config] CONFIG_CRASH_DUMP=y for ppc64el
    - LP: #1312783

  [ Upstream Kernel Change...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers